DIPlib Documentation - ©1995-2015 Quantitative Imaging Group, Delft University of Technology.

# GetUniqueNumber

Obtain an unique value

## SYNOPSIS

`#include "dip_globals.h"`

dip_Error dip_GetUniqueNumber ( number )

## FUNCTION

This function gives an unique integer value. The value is unique is the sense that its value has not yet been returned by this function nor will it be returned by subsequent calls.

## ARGUMENTS

Data type | Name | Description
`dip_int *` | `number` | Pointer to an integer in which the number is stored